
Name:		J7Z
Version:	1.2.0
Release:	%mkrel 2
Summary:	A P7Zip GUI for Linux to simplify data compression and backup
Summary(fr_FR):	Une interface graphique pour P7Zip_7-Zip
URL:		https://code.google.com/p/k7z/
Source:		J7Z-%{version}-src.tar.bz2
License:	LGPLv3
Group:		Archiving/Compression
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

BuildRequires:	ant ant-apache-regexp ant-nodeps 
BuildRequires:	java-devel-openjdk >= 1.7
BuildRequires:	p7zip
BuildRequires:	fdupes
#BuildRequires:	update-desktop-files 


Requires:	p7zip 
Requires:	java-openjdk >= 1.7

%description
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists

%description -l fr_FR
J7Z est une alternative de 7-Zip GUI. Il a été conçu par Xavion.

7-Zip est un archiveur de fichiers en haute-compression. 
Il a été conçu par Igor Pavlov.

Utilisez J7Z si vous voulez:

    * Mettre à jour rapidement les archives existantes
    * Sauvegarder plusieurs dossiers vers un emplacement de stockage
    * Créer ou extraire des archives protégées
    * Réduire l'effort à l'aide de profils et de listes d'archivage 

%package -n J7Z-kde4
Summary:	KDE4 ServiceMenus for J7Z
Summary(fr_FR):	ServiceMenus de KDE4 pour J7Z
Group:		Archiving/Compression
Requires:	J7Z

%description -n J7Z-kde4
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists 

%description -l fr_FR -n J7Z-kde4
J7Z est une alternative de 7-Zip GUI. Il a été conçu par Xavion.

7-Zip est un archiveur de fichiers en haute-compression. 
Il a été conçu par Igor Pavlov.

Utilisez J7Z si vous voulez:

    * Mettre à jour rapidement les archives existantes
    * Sauvegarder plusieurs dossiers vers un emplacement de stockage
    * Créer ou extraire des archives protégées
    * Réduire l'effort à l'aide de profils et de listes d'archivage
    
%prep
%setup -q -n J7Z
%__sed -i -e 's|X-Qt;KDE;Utility;Archiving;Compression|X-Qt;KDE;Utility;Archiving;|g' \
	Desktop/Menu/J7Z.desktop

%build
pushd Build
	%__make
popd

%install
rm -rf Profiles/Windows
rm -rf Externals/Windows
pushd Build
	%__make Install.AllUsers \
		DESTDIR=%{buildroot}
popd

#%suse_update_desktop_file %{name} Utility Archiving

echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/kde4/services/ServiceMenus/J7Z-Create.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/kde4/services/ServiceMenus/J7Z-Extract.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/KDE/J7Z-Create.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/KDE/J7Z-Extract.desktop
echo "X-SuSE-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/Menu/J7Z.desktop

%fdupes %buildroot

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc Dist/README.TXT
%{_bindir}/J7Z.sh
%{_datadir}/J7Z/
%{_datadir}/applications/J7Z.desktop
%{_datadir}/icons/hicolor/16x16/actions/*.png
%{_datadir}/icons/hicolor/32x32/apps/J7Z.png
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/actions
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps

%files -n J7Z-kde4
%defattr(-, root, root)
%doc Dist/README.TXT
%dir /usr/share/kde4
%dir /usr/share/kde4/services
%dir /usr/share/kde4/services/ServiceMenus
%{_datadir}/kde4/services/ServiceMenus/*.desktop

%changelog

* Sat May 04 2013 david.david (MLO Team) <david.david> 1.2.0-2.mga3
+ Rebuild package for Mageia 3 (Core)
- correcting "spec" file
- add french language in %%description and %%Summary
- version: 1.2.0

	+ Disable line: %%BuildRequires:update-desktop-files
	+ Disable line: %%suse_update_desktop_file %%{name} Utility Archiving
	
* Sun Apr 14 2013 Adrien.D (MLO Team) <adrien.d> 1.2.0-1.mga2
+ Backported from Open Suse
+ Clean "spec" file.

